Package org.silverpeas.components.websites.service

## Class WebSitesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.silverpeas.kernel.SilverpeasException
      - - org.silverpeas.core.exception.SilverpeasException
        - - org.silverpeas.components.websites.service.WebSitesException

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.exception.FromModule`, `org.silverpeas.core.exception.WithNested`

      public class WebSitesException
      extends org.silverpeas.core.exception.SilverpeasException

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.exception.SilverpeasException

      `ERROR, FATAL, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebSitesException​(String callingClass, int errorLevel, String message)` |
    `WebSitesException​(String callingClass, int errorLevel, String message, Exception nested)` |
    `WebSitesException​(String callingClass, int errorLevel, String message, String extraParams)` |
    `WebSitesException​(String callingClass, int errorLevel, String message, String extraParams, Exception nested)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getModule()` |

    - ### Methods inherited from class org.silverpeas.core.exception.SilverpeasException

      `getChainedExceptions, getErrorLevel, getExtraInfos, getMessageLang, getMessageLang, getNested, printStackTrace, printStackTrace, printStackTrace, traceException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSitesException

          public WebSitesException​(String callingClass,
                                   int errorLevel,
                                   String message)

    - #### WebSitesException

          public WebSitesException​(String callingClass,
                                   int errorLevel,
                                   String message,
                                   String extraParams)

    - #### WebSitesException

          public WebSitesException​(String callingClass,
                                   int errorLevel,
                                   String message,
                                   Exception nested)

    - #### WebSitesException

          public WebSitesException​(String callingClass,
                                   int errorLevel,
                                   String message,
                                   String extraParams,
                                   Exception nested)

  - ### Method Detail

    - #### getModule

          public String getModule()

      Specified by:
        `getModule` in interface `org.silverpeas.core.exception.FromModule`
      Specified by:
        `getModule` in class `org.silverpeas.core.exception.SilverpeasException`